<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Users</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
    <link rel="stylesheet" href="/css/home.css">
</head>
<body>
<!--================ Start Header Menu Area =================-->
<header class="header_area">
    <div class="main_menu">
        <nav class="navbar navbar-expand-lg navbar-light">
            <a class="navbar-brand " th:href="@{/home}"><img th:src="@{images/logo_simple.png}" alt="User Icon" class="logo"></a>
            <div class="collapse navbar-collapse offset" id="navbarSupportedContent">
                <ul class="nav navbar-nav menu_nav ml-auto mr-auto menu">
                    <li class="nav-item">
                        <a href="/home"class="nav-link" >HOME</a>
                    </li>
                    <li class="nav-item" sec:authorize="hasRole('ROLE_ADMIN')">
                        <a href="/users" class="nav-link">USERS</a>
                    </li>
                    <li class="nav-item" sec:authorize="isAuthenticated()" >
                        <a href="/books" class="nav-link">BOOKS</a>
                    </li>
                    <li class="nav-item" sec:authorize="isAuthenticated()" >
                        <a href="/authors" class="nav-link">AUTHORS</a>
                    </li>
                    <li class="nav-item" sec:authorize="isAnonymous()">
                        <a href="/register" class="nav-link">REGISTER</a>
                    </li>
                    <li class="nav-item" sec:authorize="isAuthenticated()" >
                        <a class="nav-link" href="/logout">LOGOUT</a>
                    </li>
                </ul>
            </div>
        </nav>
    </div>
</header>
<!--================ End Header Menu Area =================-->

<br>
<div th:switch="${users}" class="container my-5">
    <div class="row">
        <div class="col-md-6">
            <h1 th:inline="text">Hello, [[${#httpServletRequest.remoteUser}]]!</h1>
            <p sec:authorize="hasRole('ROLE_ADMIN')" class="my-5"><a href="/register" class="btn btn-primary"><i class="fas fa-user-plus ml-2"></i></a></p>
            <h2 th:case="null">No users yet!</h2>
            <div th:case="*">
                <h2 class="my-5">Users</h2>
                <table class="table table-striped table-responsive-md">
                    <thead>
                    <tr>
                        <th>Name</th>
                        <th>Email</th>
                        <th>Country</th>
                        <th sec:authorize="hasRole('ROLE_ADMIN')">Edit</th>
                        <th sec:authorize="hasRole('ROLE_ADMIN')">Delete</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="user : ${users}">
                        <td th:text="${user.name}"></td>
                        <td th:text="${user.email}"></td>
                        <td th:text="${user.country}"></td>
                        <td th:text="${user.password}"></td>
                        <td sec:authorize="hasRole('ROLE_ADMIN')"><a th:href="@{/users/edit/{id}(id=${user.id})}" class="btn btn-primary"><i class="fas fa-user-edit ml-2"></i></a></td>
                        <td sec:authorize="hasRole('ROLE_ADMIN')"><a th:href="@{/users/delete/{id}(id=${user.id})}" class="btn btn-primary"><i class="fas fa-user-times ml-2"></i></a></td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
</body>
</html>